package gmt.protocol;

public enum AISMsgType {
	None("None", 0),
	IEC("IEC", 1),
	Extend("Extend", 2),
	NewExtend("NewExtend", 3);	
	
	private final String typeName;
	private final int code;
	
	private AISMsgType(String name, int code) {
		this.typeName = name;
		this.code = code;
	}
	
	public String getName() {
		return this.typeName;
	}
	
	public int getCode() {
		return this.code;
	}

}
